## Salp_Swarm_Optimization_test
fx=@(x)-(21.5+x(1)*sin(4.0*x(1))+x(2)*sin(20.0*pi*x(2)));
xmin=[-3 4.1];
xmax=[12.1 5.8];
MAXIMUM=500;
N=50;
[x y]=Salp_Swarm_Optimization1(fx,N,xmin,xmax,MAXIMUM);
x
y